﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WpfDesktopEdition

Public Class fMain

  Private Map As WpfMap

  Private Sub fMain_Load(sender As Object, e As EventArgs) Handles Me.Load

    Map = Me.CtlWPFMap1.WpfMap1

    ' Set the full extent and the background color
    Map.MapUnit = GeographyUnit.Meter
    Map.CurrentExtent = New RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962)

    Dim googleMapLayer As New GoogleMapsLayer()
    Dim layeroverlay As New LayerOverlay()
    layeroverlay.TileType = TileType.SingleTile
    layeroverlay.Layers.Add(googleMapLayer)
    Map.Overlays.Add(layeroverlay)

    Dim miniMapLayer As New cNettroMiniMapLayer()
    miniMapLayer.Location = AdornmentLocation.LowerLeft
    miniMapLayer.Layers.Add(New BackgroundLayer(Map.BackgroundOverlay.BackgroundBrush))
    miniMapLayer.Layers.Add(googleMapLayer)

    Map.AdornmentOverlay.Layers.Add(miniMapLayer)
    Map.Refresh()

  End Sub


  'Private Sub winformsMap1_MouseMove(sender As Object, e As MouseEventArgs)
  '  'Displays the X and Y in screen coordinates.
  '  Me.stat.Items("toolStripStatusLabelScreen").Text = "X:" & Convert.ToString(e.X) & " Y:" & Convert.ToString(e.Y)

  '  'Gets the PointShape in world coordinates from screen coordinates.
  '  Dim pointShape As PointShape = ExtentHelper.ToWorldCoordinate(Map.CurrentExtent, New ScreenPointF(e.X, e.Y), Map.Width, Map.Height)

  '  'Displays world coordinates.
  '  statusStrip1.Items("toolStripStatusLabelWorld").Text = "(world) X:" & Math.Round(pointShape.X, 4) & " Y:" & Math.Round(pointShape.Y, 4)
  'End Sub

  'Private Sub btnClose_Click(sender As Object, e As EventArgs)
  '  Me.Close()
  'End Sub


End Class
